Bug 1335248 - nothing provides python-yubico on f25
Summary: nothing provides python-yubico on f25
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-yubico
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 16:39 UTC by Petr Vobornik
Modified: 2017-12-12 10:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:46:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Vobornik 2016-05-11 16:39:26 UTC
Description of problem:
Seems that recent change in python-yubico-1.3.2-1.fc25 caused that python2-yubico nor python3-yubico provides python-yubico.

It should use %python_provide macro to make it happen https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

Version-Release number of selected component (if applicable):
python-yubico-1.3.2-1.fc25

How reproducible:
always

Additional info:
Causes:
"""
freeipa has broken dependencies in the rawhide tree:
On x86_64:
	python2-ipalib-4.3.1-1.fc25.noarch requires python-yubico >= 0:1.2.3
On i386:
	python2-ipalib-4.3.1-1.fc25.noarch requires python-yubico >= 0:1.2.3
On armhfp:
	python2-ipalib-4.3.1-1.fc25.noarch requires python-yubico >= 0:1.2.3
Please resolve this as soon as possible.
"""

Comment 1 Jan Kurik 2016-07-26 04:51:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 18:42:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:46:05 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.